org.apache.hadoop.yarn.factories

## Interface RpcServerFactory

- All Known Implementing Classes:
    RpcServerFactoryPBImpl

      @InterfaceAudience.LimitedPrivate(value={"MapReduce","YARN"})
      public interface RpcServerFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.ipc.Server` | `getServer(Class<?> protocol, Object instance, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.security.token.SecretManager<? extends org.apache.hadoop.security.token.TokenIdentifier> secretManager, int numHandlers, String portRangeConfig)`

- - ### Method Detail

    - #### getServer

          org.apache.hadoop.ipc.Server getServer(Class<?> protocol,
                                                 Object instance,
                                                 InetSocketAddress addr,
                                                 org.apache.hadoop.conf.Configuration conf,
                                                 org.apache.hadoop.security.token.SecretManager<? extends org.apache.hadoop.security.token.TokenIdentifier> secretManager,
                                                 int numHandlers,
                                                 String portRangeConfig)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.